package pfc.android.gestormensajeria.entidades;

/**
 * Clase para el manejo de la información de los parámetros de configuración
 * @author Francisco José Lamela Rincón
 *
 */
public class ParametroConfiguracion {
	/**
	 * Propiedad para el manejo del código del parámetro
	 */
	private String codigo;
	
	/**
	 * Propiedad para el manejo del valor del parámetro
	 */
	private String valor;
	
	/**
	 * Propiedad para el manejo de la descripción del parámetro
	 */
	private String descripcion;
	
	/**
	 * Constructor de la clase
	 * @param codigo
	 * @param valor
	 * @param descripcion
	 */
	public ParametroConfiguracion(String codigo, String valor, String descripcion){
		this.codigo = codigo;
		this.valor = valor;
		this.descripcion = descripcion;
	}
	

	/**
	 * Devuelve el código del parámetro
	 * @return
	 */
	public String getCodigo() {
		return codigo;
	}
	
	/**
	 * Establece el código del parámetro
	 * @param codigo
	 */
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}
	
	/**
	 * Devuelve el valor del parámetro
	 * @return
	 */
	public String getValor() {
		return valor;
	}
	
	/**
	 * Establece el valor del parámetro
	 * @param valor
	 */
	public void setValor(String valor) {
		this.valor = valor;
	}
	
	/**
	 * Devuelve la descripción del parámetro
	 * @return
	 */
	public String getDescripcion() {
		return descripcion;
	}
	
	/**
	 * Establece la descripción del parámetro
	 * @param descripcion
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
}
